<?php

return [
    /**
     * Trackers
     *
     * [event => concept]
     *
     * Concepts: analytic, metric
     */
    'trackers' => [
        'button-clicked' => 'analytic',
        'file-downloaded' => 'metric',
    ],

    // Default concept to use if an event is not defined in the trackers array.
    'undefined-tracker-concept' => 'analytic',

    // Whether metric records should track the model causing the increment.
    'metric-store-analyticables' => false,

    // Options: eloquent
    'drivers' => [
        'analytic' => 'eloquent',
        'metric' => 'eloquent',
    ],

    'cookie' => [
        'name' => 'analytic-user-reference',
        'lifetime' => null, // null|int, null will use session lifetime
    ],

    'models' => [
        'analytic' => \Drp\Analytics\Models\Analytic::class,
        'metric' => \Drp\Analytics\Models\Metric::class,
    ],

    'queue' => env('ANALYTICS_QUEUE_NAME', 'analytics'),

    'controller' => \Drp\Analytics\Http\Controllers\StoreAnalyticsController::class,
    'route' => [
        'uri' => 'store',
        'name' => 'analytics.store',
        'middleware' => ['analytics', 'auth:api'],
    ],
];
