<?php

namespace Drp\Analytics\Models;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;

class Analytic extends Model
{
    protected $fillable = [
        'event',
        'analyticable_id',
        'analyticable_type',
        'payload',
    ];

    protected $casts = [
        'payload' => 'array',
    ];

    public function scopeByType(Builder $query, string $analyticableType): Builder
    {
        return $query->where('analyticable_type', $analyticableType);
    }

    public function scopeByTypeDistinct(Builder $query, string $analyticableType): Builder
    {
        return $query->byType($analyticableType)->groupBy('analyticable_type');
    }
}
